## libber 0.3.5

=== man/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

MAN = ber_decode_null.3ber					\
	ber_encode_null.3ber					\
	makeoid.3ber

DECODE_LNK = ber_decode_sequence.3ber.gz	\
	ber_decode_get_request.3ber.gz			\
	ber_decode_get_next_request.3ber.gz		\
	ber_decode_get_response.3ber.gz			\
	ber_decode_set_request.3ber.gz			\
	ber_decode_trap.3ber.gz					\
	ber_decode_get_bulk_request.3ber.gz		\
	ber_decode_inform_request.3ber.gz		\
	ber_decode_snmpv2_trap.3ber.gz			\
	ber_decode_counter64.3ber.gz			\
	ber_decode_integer.3ber.gz				\
	ber_decode_counter32.3ber.gz			\
	ber_decode_gauge32.3ber.gz				\
	ber_decode_timeticks.3ber.gz			\
	ber_decode_uinteger32.3ber.gz			\
	ber_decode_ipaddress.3ber.gz			\
	ber_decode_octet_string.3ber.gz			\
	ber_decode_oid.3ber.gz

ENCODE_LNK = ber_encode_sequence.3ber.gz	\
	ber_encode_get_request.3ber.gz			\
	ber_encode_get_next_request.3ber.gz		\
	ber_encode_get_response.3ber.gz			\
	ber_encode_set_request.3ber.gz			\
	ber_encode_trap.3ber.gz					\
	ber_encode_get_bulk_request.3ber.gz		\
	ber_encode_inform_request.3ber.gz		\
	ber_encode_snmpv2_trap.3ber.gz			\
	ber_encode_counter64.3ber.gz			\
	ber_encode_integer.3ber.gz				\
	ber_encode_counter32.3ber.gz			\
	ber_encode_gauge32.3ber.gz				\
	ber_encode_timeticks.3ber.gz			\
	ber_encode_uinteger32.3ber.gz			\
	ber_encode_ipaddress.3ber.gz			\
	ber_encode_octet_string.3ber.gz			\
	ber_encode_oid.3ber.gz

MAN_LNK = $(DECODE_LNK) $(ENCODE_LNK)

install::
	$(INSTALL) -d $(mandir)/man3
	set -e; for F in $(MAN); do $(INSTALL) -c -m 0644 $$F $(mandir)/man3 && gzip -9 $(mandir)/man3/$$F; done
	set -e; for F in $(DECODE_LNK); do ln -sf ber_decode_null.3ber.gz $(mandir)/man3/$$F; done
	set -e; for F in $(ENCODE_LNK); do ln -sf ber_encode_null.3ber.gz $(mandir)/man3/$$F; done

uninstall::
	set -e; for F in $(MAN_LNK) $(MAN); do rm -f $(mandir)/man3/$$F; done

=== src/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

LDLIBS = -labz -ldebug

# path to toplevel directory from here
TOPDIR = ..

# version
MAJOR := $(shell pwd | sed 's|^.*/libber-\(.*\)/src$$|\1|g' | cut -f1 -d.)
MINOR := $(shell pwd | sed 's|^.*/libber-\(.*\)/src$$|\1|g' | cut -f2 -d.)
PATCH := $(shell pwd | sed 's|^.*/libber-\(.*\)/src$$|\1|g' | cut -f3 -d.)

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = ber_decode.o ber_encode.o ber_utils.o

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = libber.so.$(MAJOR).$(MINOR).$(PATCH)

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(libdir)
	$(INSTALL) -c -m 0644 $(LIB) $(libdir)
	$(INSTALL) -c -m 0644 $(LIB_A) $(libdir)
	ln -sf $(LIB) $(libdir)/$(LIB_MAJOR)
	ln -sf $(LIB_MAJOR) $(libdir)/$(LIB_SO)

uninstall::
	rm -f $(DESTDIR)/$(libdir)/{$(LIB),$(LIB_A),$(LIB_SO),$(LIB_MAJOR)}

=== debian/changelog ===
libber (0.3.5) unstable; urgency=low

  * Link in shared libraries on which libber depends (Closes: #230668)

 -- Abraham vd Merwe <abz@debian.org>  Sat, 28 Feb 2004 15:43:07 +0200

libber (0.3.4) unstable; urgency=low

  * Added build dependencies for libber0-dev
    (Closes: #223221, #224897, #230668)

 -- Abraham vd Merwe <abz@debian.org>  Sat, 21 Feb 2004 12:56:36 +0200

libber (0.3.3) unstable; urgency=low

  * Added workaround for bug in some CNet switch
    snmp implementations.

 -- Abraham vd Merwe <abz@debian.org>  Sat, 13 Dec 2003 12:46:44 +0200

libber (0.3.2) unstable; urgency=low

  * Fixed buffer overflow in makeoid().
  * Renamed make_oid() to makeoid().
  * Minor bugfixes in regression test programs.

 -- Abraham vd Merwe <abz@debian.org>  Tue,  9 Dec 2003 17:27:02 +0200

libber (0.3.1) unstable; urgency=low

  * Added functions to encode/decode Trap, GetBulkRequest,
    InformRequest, and SNMPv2_Trap tags.
  * Now uses abz_*_error() functions to report errors.
  * Added regression tests for makeoid().
  * New Makefile system.
  * Created man pages for all the functions on the library.
  * Changed package description.

 -- Abraham vd Merwe <abz@debian.org>  Sun, 26 Oct 2003 20:08:09 +0200

libber (0.2.5) unstable; urgency=low

  * Updated dependencies.

 -- Abraham vd Merwe <abz@debian.org>  Tue,  7 Oct 2003 19:03:40 +0200

libber (0.2.4) unstable; urgency=low

  * Changed libber0-dev section.
  * Fixed integer encoding/decoding routines (Closes: #197629)

 -- Abraham vd Merwe <abz@debian.org>  Mon, 16 Jun 2003 18:57:25 +0200

libber (0.2.3) unstable; urgency=low

  * Changed EBADMSG to EINVAL (more portable).
  * Ported to FreeBSD.
  * Changed copyright notices to reflect my new preferred email address.

 -- Abraham vd Merwe <abz@debian.org>  Sat,  6 Jul 2002 16:11:40 +0200

libber (0.2.2) unstable; urgency=low

  * Changed all function that allocates memory to stub/macro pairs so
    that we can track memory leaks better.

 -- Abraham vd Merwe <abz@debian.org>  Sat, 22 Jun 2002 14:07:29 +0200

libber (0.2.1) unstable; urgency=low

  * Changed OCTET STRING type to support 8-bit characters.
  * Added IpAddress type.

 -- Abraham vd Merwe <abz@debian.org>  Fri, 21 Jun 2002 18:27:05 +0200

libber (0.1.1) unstable; urgency=low

  * Initial Release.

 -- Abraham vd Merwe <abz@debian.org>  Sat,  6 Apr 2002 20:01:03 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libber
Section: devel
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0), libdebug0-dev (>= 0.3.2), libabz0-dev (>= 0.4.4)
Standards-Version: 3.5.10

Package: libber0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: A Basic Encoding Rules (ITU X.690) implementation
 This library is an implementation of the ITU-T X.690 specification
 of Basic Encoding Rules (BER). BER is a language used to encode
 data so that it can be transferred and be interpreted by different
 hosts in a platform independent manner.
 .
 BER is is used to encode data in SNMP and LDAP and probably other
 popular protocols as well. This library is used by the author's SNMP
 software.
 .
 This package contains files needed by programs linked against
 this library.

Package: libber0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libber0 (= ${Source-Version}), libdebug0-dev (>= 0.3.2), libabz0-dev (>= 0.4.4)
Description: Development files for the BER library
 This library is an implementation of the ITU-T X.690 specification
 of Basic Encoding Rules (BER). BER is a language used to encode
 data so that it can be transferred and be interpreted by different
 hosts in a platform independent manner.
 .
 BER is is used to encode data in SNMP and LDAP and probably other
 popular protocols as well. This library is used by the author's SNMP
 software.
 .
 This package contains files needed if you wish to use libber
 in your own programs.

## libber 0.4.1

=== man/Makefile ===
--- 
+++ 
@@ -66,10 +66,15 @@
 	ber_decode_counter32.3ber.gz			\
 	ber_decode_gauge32.3ber.gz				\
 	ber_decode_timeticks.3ber.gz			\
-	ber_decode_uinteger32.3ber.gz			\
 	ber_decode_ipaddress.3ber.gz			\
 	ber_decode_octet_string.3ber.gz			\
-	ber_decode_oid.3ber.gz
+	ber_decode_string.3ber.gz				\
+	ber_decode_oid.3ber.gz					\
+	ber_decode_get_message.3ber.gz			\
+	ber_decode_put_message.3ber.gz			\
+	ber_decode_auth.3ber.gz					\
+	ber_decode_reset.3ber.gz				\
+	ber_decode_set_level.3ber.gz
 
 ENCODE_LNK = ber_encode_sequence.3ber.gz	\
 	ber_encode_get_request.3ber.gz			\
@@ -85,10 +90,15 @@
 	ber_encode_counter32.3ber.gz			\
 	ber_encode_gauge32.3ber.gz				\
 	ber_encode_timeticks.3ber.gz			\
-	ber_encode_uinteger32.3ber.gz			\
 	ber_encode_ipaddress.3ber.gz			\
 	ber_encode_octet_string.3ber.gz			\
-	ber_encode_oid.3ber.gz
+	ber_encode_string.3ber.gz				\
+	ber_encode_oid.3ber.gz					\
+	ber_encode_get_message.3ber.gz			\
+	ber_encode_put_message.3ber.gz			\
+	ber_encode_auth.3ber.gz					\
+	ber_encode_reset.3ber.gz				\
+	ber_encode_set_level.3ber.gz
 
 MAN_LNK = $(DECODE_LNK) $(ENCODE_LNK)

=== src/Makefile ===
--- 
+++ 
@@ -34,15 +34,15 @@
 TOPDIR = ..
 
 # version
-MAJOR := $(shell pwd | sed 's|^.*/libber-\(.*\)/src$$|\1|g' | cut -f1 -d.)
-MINOR := $(shell pwd | sed 's|^.*/libber-\(.*\)/src$$|\1|g' | cut -f2 -d.)
-PATCH := $(shell pwd | sed 's|^.*/libber-\(.*\)/src$$|\1|g' | cut -f3 -d.)
+MAJOR := $(shell pwd | sed 's|^.*/.*-\(.*\)/src$$|\1|g' | cut -f1 -d.)
+MINOR := $(shell pwd | sed 's|^.*/.*-\(.*\)/src$$|\1|g' | cut -f2 -d.)
+PATCH := $(shell pwd | sed 's|^.*/.*-\(.*\)/src$$|\1|g' | cut -f3 -d.)
 
 # subdirectories (leave as is if there is no subdirectories)
 DIR =
 
 # names of object files
-OBJ = ber_decode.o ber_encode.o ber_utils.o
+OBJ = ber-decode.o ber-encode.o ber-utils.o
 
 # program name (leave as is if there is no program)
 PRG =

=== tests/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

CPPFLAGS = -I../include
LDFLAGS = -L../src -static
LDLIBS = -lber -labz -ldebug

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

TEST = test_encode test_decode test_utils

all:: $(TEST)

test_encode: test_encode.o
test_decode: test_decode.o
test_utils: test_utils.o

clean::
	rm -f $(TEST) $(addsuffix .o,$(TEST))

=== debian/changelog ===
libber (0.4.1) unstable; urgency=low

  * Added helper functions for encoding/decoding ASCIIZ strings.
  * Added encoding/decoding functions for LOGD API.
  * Removed stale references to ber_{en,de}code_uinteger32.

 -- Abraham vd Merwe <abz@debian.org>  Sun, 29 Feb 2004 12:55:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Abraham vd Merwe <abz@debian.org>
-Build-Depends: debhelper (>> 3.0.0), libdebug0-dev (>= 0.3.2), libabz0-dev (>= 0.4.4)
+Build-Depends: debhelper (>> 3.0.0), libdebug0-dev (>= 0.3.2), libabz0-dev (>= 0.4.5)
 Standards-Version: 3.5.10
 
 Package: libber0
@@ -25,7 +25,7 @@
 Package: libber0-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libber0 (= ${Source-Version}), libdebug0-dev (>= 0.3.2), libabz0-dev (>= 0.4.4)
+Depends: ${shlibs:Depends}, libber0 (= ${Source-Version}), libdebug0-dev (>= 0.3.2), libabz0-dev (>= 0.4.5)
 Description: Development files for the BER library
  This library is an implementation of the ITU-T X.690 specification
  of Basic Encoding Rules (BER). BER is a language used to encode

=== debian/rules ===
#!/usr/bin/make -f

# -*- sh -*-

export DH_VERBOSE=1
export DH_COMPAT=3

DESTDIR=$(CURDIR)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	find . \( -name "*~" -o -name ".#*" \) -exec rm {} \;
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	dh_clean
	rm -f {,$(CURDIR)/debian/}{build,configure}-stamp
	rm -rf $(CURDIR)/debian/{libber-dev,libber,tmp}

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(DESTDIR) prefix=$(DESTDIR)/usr install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install configure

## libber 0.4.2

=== Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = .

# subdirectories (leave as is if there is no subdirectories)
DIR = debian man src tests

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

.PHONY:: debian

debian:
	dpkg-buildpackage -rfakeroot -k2B555AEE

distclean::
	rm -f {configure,build}-stamp
	rm -f debian/*.{debhelper,substvars} debian/{substvars,files,*~}
	rm -rf debian/{libber0-dev,libber0,tmp}
	find . -name "*~" -exec rm -f {} \;
	find . -name ".index" -exec rm -f {} \;

install::
	$(INSTALL) -d $(libdir)
	for F in $(shell find include/ber -name "*.h"); do $(INSTALL) -c -D -m 0644 $$F $(includedir)$${F/include\///}; done

uninstall::
	rm -rf $(includedir)/ber

=== debian/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

=== debian/changelog ===
libber (0.4.2) unstable; urgency=low

  * Compile against latest libabz0.
  * Use bash in Makefile (Closes: #381564)
  * Updated Debian policy version.
  * Fixed headers in man pages.

 -- Abraham vd Merwe <abz@debian.org>  Wed, 20 Sep 2006 03:50:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Abraham vd Merwe <abz@debian.org>
-Build-Depends: debhelper (>> 3.0.0), libdebug0-dev (>= 0.3.2), libabz0-dev (>= 0.4.5)
-Standards-Version: 3.5.10
+Build-Depends: debhelper (>> 3.0.0), libdebug0-dev (>= 0.4.2), libabz0-dev (>= 0.6.3)
+Standards-Version: 3.6.1
 
 Package: libber0
 Architecture: any
@@ -25,7 +25,7 @@
 Package: libber0-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libber0 (= ${Source-Version}), libdebug0-dev (>= 0.3.2), libabz0-dev (>= 0.4.5)
+Depends: ${shlibs:Depends}, libber0 (= ${Source-Version}), libdebug0-dev (>= 0.4.2), libabz0-dev (>= 0.6.3)
 Description: Development files for the BER library
  This library is an implementation of the ITU-T X.690 specification
  of Basic Encoding Rules (BER). BER is a language used to encode
